#! /usr/bin/env python
#
#streamingsensorstest.py
#
#Copyright (c) 2017 by Micron Optics, Inc.  All Rights Reserved
#
"""This file illustrates how to stream peak data from the hyperion

This example will stream 10000 samples, and print a message if any samples 
have been dropped.
"""

import hyperion

h1 = hyperion.Hyperion('10.0.0.55')

#try:
#    h1.remove_sensors()
#except hyperion.HyperionError:
#    pass

#h1.add_sensor('os7520_1490_2','os7520',1,1490.0,2300.0)

dropped = False


h1.enable_sensor_streaming()

numberOfIterations = 1000
updateRate = 100 #determines how often to show status
for iteration in xrange(numberOfIterations):
    sensor_data = h1.stream_sensors()
    newSerialNum = sensor_data.header.serialNumber
    if iteration % updateRate == 0:
        print "{0}:  {1}".format(iteration, sensor_data.data[0])



#Now check to see if samples skipped
    if iteration:
        serialNumDiff = newSerialNum - serialNum
        if serialNumDiff > 1:
            print "Dropped Samples:", serialNumDiff
            dropped = True
    serialNum = newSerialNum

if not dropped:
    print "No dropped samples"
        
h1.disable_sensor_streaming()
h1.comm.close()
